Bug 656703 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Please Update Spec File to use %ghost on files in /var/run and /var/lock
Product: Fedora
Classification: Fedora
Component: tinyproxy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Hinegardner
Fedora Extras Quality Assurance
Depends On:
Blocks: 827166
  Show dependency treegraph
Reported: 2010-11-23 18:44 EST by Lennart Poettering
Modified: 2013-09-22 20:01 EDT (History)
1 user (show)

See Also:
Fixed In Version: tinyproxy-1.8.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-21 04:33:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2010-11-23 18:44:00 EST
Your package tinyproxy appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart
Comment 1 Fedora End Of Life 2013-04-03 14:15:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
Comment 2 Fedora Update System 2013-09-09 01:49:03 EDT
tinyproxy-1.8.3-1.fc19 has been submitted as an update for Fedora 19.
Comment 3 Fedora Update System 2013-09-09 01:49:39 EDT
tinyproxy-1.8.3-1.fc20 has been submitted as an update for Fedora 20.
Comment 4 Fedora Update System 2013-09-09 12:22:34 EDT
Package tinyproxy-1.8.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tinyproxy-1.8.3-1.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-21 04:33:23 EDT
tinyproxy-1.8.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-09-22 20:01:37 EDT
tinyproxy-1.8.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.